version: 1
disable_existing_loggers: true
filters:
    traceFilter:
        (): clcommon.public_hooks.NoTracebackFilter
formatters:
    console:
        format: "%(levelname)s: %(message)s"
    standard:
        format: "%(levelname)s [%(asctime)s:%(process)d:%(processName)s]: %(message)s"
        datefmt: "%m-%d %H:%M:%S"
handlers:
    console:
        class: logging.StreamHandler
        level: WARNING
        formatter: console
        filters: [traceFilter]
        stream: ext://sys.stderr
    default_file_handler:
        class: logging.FileHandler
        level: INFO
        formatter: standard
        filename: /var/log/cloudlinux/hooks/info.log
        encoding: utf8
loggers:
    clcommon.public_hooks:
        # change level to 'DEBUG' here to see more logs
        level: INFO
        handlers: [default_file_handler]
        propagate: yes
root:
    level: CRITICAL
    handlers: [console]